//create by zhangqinglin

#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D CC_Texture0;
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main() {
	vec4 pic = texture2D(CC_Texture0, v_texCoord);
	vec4 outColor = pic;
	float distanceFromCenter = sqrt((v_texCoord.x-0.5)*(v_texCoord.x-0.5)+(v_texCoord.y-0.5)*(v_texCoord.y-0.5)); 
	
	//ݴ
	if(distanceFromCenter >= 0.45)
	{
		if(0.46-distanceFromCenter>=0)
		{
			outColor.r = pic.r*(0.46-distanceFromCenter)/0.01;
			outColor.g = pic.g*(0.46-distanceFromCenter)/0.01;
			outColor.b = pic.b*(0.46-distanceFromCenter)/0.01;
			outColor.a = pic.a*(0.46-distanceFromCenter)/0.01;
		}
		else
		{
			outColor.r = 0;
			outColor.g = 0;
			outColor.b = 0;
			outColor.a = 0;
		}

	}
	
	gl_FragColor = outColor;
}
